<script setup lang="ts">
const props = defineProps<{
  dense?: boolean
  title?: string
  description?: string
  containerClass?: string
}>()
</script>

<template>
  <div
    :class="`relative p-4 rounded-lg border border-gray-200 bg-white shadow-sm dark:border-gray-700 dark:bg-gray-800 ${props.dense ? '' : 'md:p-8'} ${containerClass ?? ''}`"
  >
    <h4
      v-if="!!props.title"
      :class="`${props.dense ? 'text-md' : 'text-xl'} ${!!props.description ? 'mb-1' : 'mb-3'} text-gray-900 dark:text-white`"
    >
      {{ props.title }}
    </h4>
    <p
      v-if="!!props.description"
      class="whitespace-pre-line mb-3 text-sm text-gray-500 dark:text-gray-400"
    >
      {{ props.description }}
    </p>
    <slot />
  </div>
</template>
